Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class ElemVariable

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.templates.ElemTemplateElement
                  |
                  +--org.apache.xalan.templates.ElemVariable

Direct Known Subclasses:
  ElemParam

public class ElemVariable
extends ElemTemplateElement

**For advanced use only** Implement xsl:variable.

See Also:
  variables in XSLT Specification, Serialized Form

Constructor Summary
`ElemVariable()` **For advanced use only**
`ElemVariable(ElemVariable param)` **For advanced use only** Copy constructor.

Method Summary
`void` | `execute(TransformerImpl transformer, Node sourceNode, QName mode)` **For advanced use only** Execute a variable declaration and push it onto the variable stack.
`boolean` | `getIsTopLevel()` **For advanced use only** Get if this is a top-level variable or param, or not.
`QName` | `getName()` **For advanced use only** Get the "name" attribute.
`java.lang.String` | `getNodeName()` **For advanced use only** Return the node name.
`XPath` | `getSelect()` **For advanced use only** Get the "select" attribute.
`XObject` | `getValue(TransformerImpl transformer, Node sourceNode)` **For advanced use only** Get the XObject representation of the variable.
`int` | `getXSLToken()` **For advanced use only** Get an integer representation of the element type.
`void` | `setIsTopLevel(boolean v)` **For advanced use only** Set if this is a top-level variable or param, or not.
`void` | `setName(QName v)` **For advanced use only** Set the "name" attribute.
`void` | `setSelect(XPath v)` **For advanced use only** Set the "select" attribute.

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`appendChild, compose, error, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getFirstChild, getFirstChildElem, getLastChild, getLength, getLineNumber, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getParentElem, getParentNode, getPrefixes, getPreviousSibling, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getXmlSpace, hasChildNodes, isCompiledTemplate, item, removeChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setLocaterInfo, setPrefixes, setPrefixes, setXmlSpace`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, error, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getLocalName, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSpecified, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setNodeValue, setPrefix, setValue, splitText, substringData, supports`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemVariable

    public ElemVariable()

### ElemVariable

    public ElemVariable(ElemVariable param)
                 throws SAXException

  **For advanced use only** Copy constructor.

Method Detail

### setSelect

    public void setSelect(XPath v)

  **For advanced use only** Set the "select" attribute. If the variable-binding element has a select attribute, then the value of the attribute must be an expression and the value of the variable is the object that results from evaluating the expression. In this case, the content of the variable must be empty.

### getSelect

    public XPath getSelect()

  **For advanced use only** Get the "select" attribute. If the variable-binding element has a select attribute, then the value of the attribute must be an expression and the value of the variable is the object that results from evaluating the expression. In this case, the content of the variable must be empty.

### setName

    public void setName(QName v)

  **For advanced use only** Set the "name" attribute. Both xsl:variable and xsl:param have a required name attribute, which specifies the name of the variable. The value of the name attribute is a QName, which is expanded as described in [2.4 Qualified Names].
  See Also:
    qname in XSLT Specification

### getName

    public QName getName()

  **For advanced use only** Get the "name" attribute. Both xsl:variable and xsl:param have a required name attribute, which specifies the name of the variable. The value of the name attribute is a QName, which is expanded as described in [2.4 Qualified Names].
  See Also:
    qname in XSLT Specification

### setIsTopLevel

    public void setIsTopLevel(boolean v)

  **For advanced use only** Set if this is a top-level variable or param, or not.
  See Also:
    top-level-variables in XSLT Specification

### getIsTopLevel

    public boolean getIsTopLevel()

  **For advanced use only** Get if this is a top-level variable or param, or not.
  See Also:
    top-level-variables in XSLT Specification

### getXSLToken

    public int getXSLToken()

  **For advanced use only** Get an integer representation of the element type.
  Returns:
    An integer representation of the element, defined in the Constants class.
  Overrides:
    getXSLToken in class ElemTemplateElement
  See Also:
    `Constants`

### getNodeName

    public java.lang.String getNodeName()

  **For advanced use only** Return the node name.
  Overrides:
    getNodeName in class ElemTemplateElement

### execute

    public void execute(TransformerImpl transformer,
                        Node sourceNode,
                        QName mode)
                 throws SAXException

  **For advanced use only** Execute a variable declaration and push it onto the variable stack.
  Overrides:
    execute in class ElemTemplateElement
  See Also:
    variables in XSLT Specification

### getValue

    public XObject getValue(TransformerImpl transformer,
                            Node sourceNode)
                     throws SAXException

  **For advanced use only** Get the XObject representation of the variable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.